summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Damian Perticone2022-04-23 05:13:17 +0200
committer Willy Sudiarto Raharjo2022-04-23 20:47:12 +0200
commitdcce236eccf4347c7446c56b4351ddde18dc3557 (patch)
treec54e0676a5271ef4e1f593acc1ba9165ab7db123
parentd15c4e9cf791d57a08ae7c8582b0f99a5492f51b (diff)
downloadslackbuilds-dcce236eccf4347c7446c56b4351ddde18dc3557.tar.gz
desktop/yambar: Added (status panel for X11 and Wayland)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/yambar/README39
-rw-r--r--desktop/yambar/doinst.sh3
-rw-r--r--desktop/yambar/slack-desc19
-rw-r--r--desktop/yambar/yambar.SlackBuild125
-rw-r--r--desktop/yambar/yambar.info10
5 files changed, 196 insertions, 0 deletions
diff --git a/desktop/yambar/README b/desktop/yambar/README
new file mode 100644
index 0000000000..2f456304d7
--- /dev/null
+++ b/desktop/yambar/README
@@ -0,0 +1,39 @@
+Yambar is a lightweight and configurable status panel (bar, for short)
+for X11 and Wayland, that goes to great lengths to be both CPU and
+battery efficient - polling is only done when absolutely necessary.
+It has a number of modules that provide information in the form of tags.
+For example, the clock module has a date tag that contains the
+current date.
+The modules do not know how to present the information though.
+This is instead done by particles. And the user, you, decides
+which particles (and thus how to present the data) to use.
+Furthermore, each particle can have a decoration - a background color or
+a graphical underline, for example.
+There is no support for images or icons. use an icon font
+(e.g. Font Awesome, or Material Icons) if you want a
+graphical representation.
+There are a number of modules and particles builtin. More can be added
+as plugins. You can even write your own!
+To summarize: a bar displays information provided by modules, using
+particles and decorations. How is configured by you.
+Yambar is configured using YAML, in ~/.config/yambar/config.yml
+For details, see the man pages yambar(5) is a good start.i
+
+Available modules:
+
+•alsa
+•backlight
+•battery
+•clock
+•i3 (and Sway)
+•label
+•mpd
+•network
+•removables
+•river
+•script
+•sway-xkb
+•xkb (XCB backend only)
+•xwindow (XCB backend only)
+
+If you need to rebuild the package delete /tmp/SBo/yambar directory.
diff --git a/desktop/yambar/doinst.sh b/desktop/yambar/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/desktop/yambar/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/desktop/yambar/slack-desc b/desktop/yambar/slack-desc
new file mode 100644
index 0000000000..ccbbf191e8
--- /dev/null
+++ b/desktop/yambar/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+yambar: yambar (status panel for X11 and Wayland)
+yambar:
+yambar: Yambar is a lightweight and configurable status panel for X11 and
+yambar: Wayland inspired in Polybar
+yambar:
+yambar:
+yambar:
+yambar:
+yambar: Home: https://codeberg.org/dnkl/yambar
+yambar:
+yambar:
diff --git a/desktop/yambar/yambar.SlackBuild b/desktop/yambar/yambar.SlackBuild
new file mode 100644
index 0000000000..1c84678b24
--- /dev/null
+++ b/desktop/yambar/yambar.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/bash
+
+# Slackware build script for yambar
+
+# Copyright 2022 Damian Perticone Berisso,Argentina
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=yambar
+VERSION=${VERSION:-1.8.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dstrip=true \
+ -Dbackend-x11=enabled \
+ -Dbackend-wayland=enabled \
+ -Dcore-plugins-as-shared-libraries=true \
+ -Dplugin-mpd=auto \
+
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+
+rm -r $PKG/usr/share/doc
+
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.md LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/yambar/yambar.info b/desktop/yambar/yambar.info
new file mode 100644
index 0000000000..05e2948e90
--- /dev/null
+++ b/desktop/yambar/yambar.info
@@ -0,0 +1,10 @@
+PRGNAM="yambar"
+VERSION="1.8.0"
+HOMEPAGE="https://codeberg.org/dnkl/yambar"
+DOWNLOAD="https://codeberg.org/dnkl/yambar/archive/1.8.0.tar.gz"
+MD5SUM="d5908122aefddbfdb290dfa9c4c5b82b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="scdoc fcft"
+MAINTAINER="Damian Perticone"
+EMAIL="mjolnirdam@gmail.com"